---
title: USBDevice.deviceVersionMajor
slug: Web/API/USBDevice/deviceVersionMajor
tags:
  - API
  - Property
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - deviceVersionMajor
---
<p>{{SeeCompatTable}}{{APIRef("WebUSB API")}}</p>

<p>The <strong><code>deviceVersionMajor</code></strong> read only property of the {{domxref("USBDevice")}} interface he major version number of the device in a semantic versioning scheme.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var serialNumber = USBDevice.deviceVersionMajor</pre>

<h3 id="Value">Value</h3>

<p>A number.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-deviceversionmajor','deviceVersionMajor')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.deviceVersionMajor")}}</p>
